Ignore:
Timestamp:
Jul 26, 2009 2:33:41 PM (12 years ago)
Author:
stefan
Message:

towards making thirdparty projects behave like normal projects: add addlibs and dummy README files; install lib, header, addlibs and README file; compile always but require code to be available

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r1321 r1379  
    434434PACKAGE_BUGREPORT='http://projects.coin-or.org/BuildTools/newticket'
    435435
    436 ac_unique_file="Makefile.am"
     436ac_unique_file="glpk/include/glpk.h"
    437437ac_default_prefix=`pwd`
    438438# Factoring default headers for most tests.
     
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKINCDIR GLPKLIB COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GLPKOBJDIR COIN_BUILD_GLPK_TRUE COIN_BUILD_GLPK_FALSE MAKEOKFILE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10731073                          optimize for fast installation [default=yes]
    10741074  --disable-libtool-lock  avoid locking (might break parallel builds)
    1075   --enable-glpk-libcheck use disable-glpk-libcheck to skip the
    1076                           link check at configuration time
    10771075  --enable-gnu-packages   compile with GNU packages (disabled by default)
    10781076  --enable-odbc           enable MathProg ODBC support [default=auto]
     
    10891087  --with-tags[=TAGS]
    10901088                          include additional configurations [automatic]
    1091   --with-glpk-incdir specify the header file directory for library Glpk
    1092   --with-glpk-lib specify the flags used to link with the library Glpk
    10931089
    10941090Some influential environment variables:
     
    15831579
    15841580
     1581# As backup, we make sure we don't loose an FLIBS if it has been set
     1582# by the user
     1583save_FLIBS="$FLIBS"
     1584
    15851585# Initialize the FADDLIBS variable (which is to be used with a fortran
    15861586# compiler and will not include FLIBS)
     
    16031603# that we are in a project main directory
    16041604coin_projectdir=yes
     1605
     1606# Check if a library version is set for libtool
     1607
    16051608
    16061609
     
    47254728*-*-irix6*)
    47264729  # Find out which ABI we are using.
    4727   echo '#line 4727 "configure"' > conftest.$ac_ext
     4730  echo '#line 4730 "configure"' > conftest.$ac_ext
    47284731  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47294732  (eval $ac_compile) 2>&5
     
    63246327
    63256328# Provide some information about the compiler.
    6326 echo "$as_me:6326:" \
     6329echo "$as_me:6329:" \
    63276330     "checking for Fortran 77 compiler version" >&5
    63286331ac_compiler=`set X $ac_compile; echo $2`
     
    73917394   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73927395   -e 's:$: $lt_compiler_flag:'`
    7393    (eval echo "\"\$as_me:7393: $lt_compile\"" >&5)
     7396   (eval echo "\"\$as_me:7396: $lt_compile\"" >&5)
    73947397   (eval "$lt_compile" 2>conftest.err)
    73957398   ac_status=$?
    73967399   cat conftest.err >&5
    7397    echo "$as_me:7397: \$? = $ac_status" >&5
     7400   echo "$as_me:7400: \$? = $ac_status" >&5
    73987401   if (exit $ac_status) && test -s "$ac_outfile"; then
    73997402     # The compiler can only warn and ignore the option if not recognized
     
    76597662   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76607663   -e 's:$: $lt_compiler_flag:'`
    7661    (eval echo "\"\$as_me:7661: $lt_compile\"" >&5)
     7664   (eval echo "\"\$as_me:7664: $lt_compile\"" >&5)
    76627665   (eval "$lt_compile" 2>conftest.err)
    76637666   ac_status=$?
    76647667   cat conftest.err >&5
    7665    echo "$as_me:7665: \$? = $ac_status" >&5
     7668   echo "$as_me:7668: \$? = $ac_status" >&5
    76667669   if (exit $ac_status) && test -s "$ac_outfile"; then
    76677670     # The compiler can only warn and ignore the option if not recognized
     
    77637766   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77647767   -e 's:$: $lt_compiler_flag:'`
    7765    (eval echo "\"\$as_me:7765: $lt_compile\"" >&5)
     7768   (eval echo "\"\$as_me:7768: $lt_compile\"" >&5)
    77667769   (eval "$lt_compile" 2>out/conftest.err)
    77677770   ac_status=$?
    77687771   cat out/conftest.err >&5
    7769    echo "$as_me:7769: \$? = $ac_status" >&5
     7772   echo "$as_me:7772: \$? = $ac_status" >&5
    77707773   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77717774   then
     
    1010810111  lt_status=$lt_dlunknown
    1010910112  cat > conftest.$ac_ext <<EOF
    10110 #line 10110 "configure"
     10113#line 10113 "configure"
    1011110114#include "confdefs.h"
    1011210115
     
    1020810211  lt_status=$lt_dlunknown
    1020910212  cat > conftest.$ac_ext <<EOF
    10210 #line 10210 "configure"
     10213#line 10213 "configure"
    1021110214#include "confdefs.h"
    1021210215
     
    1255212555   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255312556   -e 's:$: $lt_compiler_flag:'`
    12554    (eval echo "\"\$as_me:12554: $lt_compile\"" >&5)
     12557   (eval echo "\"\$as_me:12557: $lt_compile\"" >&5)
    1255512558   (eval "$lt_compile" 2>conftest.err)
    1255612559   ac_status=$?
    1255712560   cat conftest.err >&5
    12558    echo "$as_me:12558: \$? = $ac_status" >&5
     12561   echo "$as_me:12561: \$? = $ac_status" >&5
    1255912562   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256012563     # The compiler can only warn and ignore the option if not recognized
     
    1265612659   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1265712660   -e 's:$: $lt_compiler_flag:'`
    12658    (eval echo "\"\$as_me:12658: $lt_compile\"" >&5)
     12661   (eval echo "\"\$as_me:12661: $lt_compile\"" >&5)
    1265912662   (eval "$lt_compile" 2>out/conftest.err)
    1266012663   ac_status=$?
    1266112664   cat out/conftest.err >&5
    12662    echo "$as_me:12662: \$? = $ac_status" >&5
     12665   echo "$as_me:12665: \$? = $ac_status" >&5
    1266312666   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266412667   then
     
    1422614229   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1422714230   -e 's:$: $lt_compiler_flag:'`
    14228    (eval echo "\"\$as_me:14228: $lt_compile\"" >&5)
     14231   (eval echo "\"\$as_me:14231: $lt_compile\"" >&5)
    1422914232   (eval "$lt_compile" 2>conftest.err)
    1423014233   ac_status=$?
    1423114234   cat conftest.err >&5
    14232    echo "$as_me:14232: \$? = $ac_status" >&5
     14235   echo "$as_me:14235: \$? = $ac_status" >&5
    1423314236   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423414237     # The compiler can only warn and ignore the option if not recognized
     
    1433014333   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433114334   -e 's:$: $lt_compiler_flag:'`
    14332    (eval echo "\"\$as_me:14332: $lt_compile\"" >&5)
     14335   (eval echo "\"\$as_me:14335: $lt_compile\"" >&5)
    1433314336   (eval "$lt_compile" 2>out/conftest.err)
    1433414337   ac_status=$?
    1433514338   cat out/conftest.err >&5
    14336    echo "$as_me:14336: \$? = $ac_status" >&5
     14339   echo "$as_me:14339: \$? = $ac_status" >&5
    1433714340   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1433814341   then
     
    1653716540   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1653816541   -e 's:$: $lt_compiler_flag:'`
    16539    (eval echo "\"\$as_me:16539: $lt_compile\"" >&5)
     16542   (eval echo "\"\$as_me:16542: $lt_compile\"" >&5)
    1654016543   (eval "$lt_compile" 2>conftest.err)
    1654116544   ac_status=$?
    1654216545   cat conftest.err >&5
    16543    echo "$as_me:16543: \$? = $ac_status" >&5
     16546   echo "$as_me:16546: \$? = $ac_status" >&5
    1654416547   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654516548     # The compiler can only warn and ignore the option if not recognized
     
    1680516808   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680616809   -e 's:$: $lt_compiler_flag:'`
    16807    (eval echo "\"\$as_me:16807: $lt_compile\"" >&5)
     16810   (eval echo "\"\$as_me:16810: $lt_compile\"" >&5)
    1680816811   (eval "$lt_compile" 2>conftest.err)
    1680916812   ac_status=$?
    1681016813   cat conftest.err >&5
    16811    echo "$as_me:16811: \$? = $ac_status" >&5
     16814   echo "$as_me:16814: \$? = $ac_status" >&5
    1681216815   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681316816     # The compiler can only warn and ignore the option if not recognized
     
    1690916912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691016913   -e 's:$: $lt_compiler_flag:'`
    16911    (eval echo "\"\$as_me:16911: $lt_compile\"" >&5)
     16914   (eval echo "\"\$as_me:16914: $lt_compile\"" >&5)
    1691216915   (eval "$lt_compile" 2>out/conftest.err)
    1691316916   ac_status=$?
    1691416917   cat out/conftest.err >&5
    16915    echo "$as_me:16915: \$? = $ac_status" >&5
     16918   echo "$as_me:16918: \$? = $ac_status" >&5
    1691616919   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691716920   then
     
    1979419797LT_LDFLAGS=
    1979519798
     19799# Check if we want to set the library version
     19800echo "$as_me:$LINENO: checking if library version is set" >&5
     19801echo $ECHO_N "checking if library version is set... $ECHO_C" >&6
     19802if test x"$coin_libversion" != x; then
     19803  LT_LDFLAGS="$LT_LDFLAGS -version-info $coin_libversion"
     19804  echo "$as_me:$LINENO: result: $coin_libversion" >&5
     19805echo "${ECHO_T}$coin_libversion" >&6
     19806else
     19807  echo "$as_me:$LINENO: result: no" >&5
     19808echo "${ECHO_T}no" >&6
     19809fi
     19810
     19811
    1979619812
    1979719813#END
     
    1980119817#                            COIN_HAS_GLPK                                #
    1980219818###########################################################################
     19819
     19820echo "$as_me:$LINENO: checking for COIN project Glpk" >&5
     19821echo $ECHO_N "checking for COIN project Glpk... $ECHO_C" >&6
     19822
     19823# First check, if the sub-project is actually available (ToDo: allow
     19824# other locations)
     19825
     19826coin_has_glpk=unavailable
     19827if test x"$COIN_SKIP_PROJECTS" != x; then
     19828  for dir in $COIN_SKIP_PROJECTS; do
     19829    if test $dir = Glpk; then
     19830      coin_has_glpk=skipping
     19831    fi
     19832  done
     19833fi
     19834
     19835if test $coin_has_glpk != skipping; then
     19836  if test $PACKAGE_TARNAME = glpk; then
     19837    coin_has_glpk=.
     19838  else
     19839    if test -d $srcdir/../Glpk; then
     19840      coin_has_glpk=../Glpk
     19841    fi
     19842  fi
     19843fi
     19844
     19845if test $coin_has_glpk != unavailable &&
     19846   test $coin_has_glpk != skipping; then
     19847  # Set the #define if the component is available
     19848
     19849cat >>confdefs.h <<\_ACEOF
     19850#define COIN_HAS_GLPK 1
     19851_ACEOF
     19852
     19853
     19854  # Set the variables for source and object code location
     19855
     19856  GLPKSRCDIR=`cd $srcdir/$coin_has_glpk; pwd`
     19857
     19858  GLPKOBJDIR=`pwd`/$coin_has_glpk
     19859
     19860  GLPKDOCDIR=$abs_lib_dir/../share/doc/coin/Glpk
     19861fi
     19862
     19863  # Define the Makefile conditional
     19864
     19865
     19866if test $coin_has_glpk != unavailable &&
     19867                test $coin_has_glpk != skipping; then
     19868  COIN_HAS_GLPK_TRUE=
     19869  COIN_HAS_GLPK_FALSE='#'
     19870else
     19871  COIN_HAS_GLPK_TRUE='#'
     19872  COIN_HAS_GLPK_FALSE=
     19873fi
     19874
     19875echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
     19876echo "${ECHO_T}$coin_has_glpk" >&6
     19877
    1980319878
    1980419879# This macro checks for a library containing the GLPK library.  It
     
    1981219887
    1981319888## Check if GLPK is already provided by user
    19814 
    19815 if test "$PACKAGE_NAME" = ThirdPartyGlpk; then
    19816   coin_glpkobjdir=../Glpk
    19817 else
    19818   coin_glpkobjdir=../ThirdParty/Glpk
    19819 fi
    19820 coin_glpksrcdir=$abs_source_dir/$coin_glpkobjdir
    19821 
    19822 use_thirdpartyglpk=no
    19823 
    19824 # Check for the requested component. If the user specified an external glpk
    19825 # library don't force a ThirdParty build, let the error propagate.
    19826 
    19827 
    19828   echo "$as_me:$LINENO: checking if user provides library for Glpk" >&5
    19829 echo $ECHO_N "checking if user provides library for Glpk... $ECHO_C" >&6
    19830 
    19831 # Check for header file directory
    19832 
    19833 
    19834 # Check whether --with-glpk-incdir or --without-glpk-incdir was given.
    19835 if test "${with_glpk_incdir+set}" = set; then
    19836   withval="$with_glpk_incdir"
    19837   GLPKINCDIR=`cd $withval; pwd`
    19838 fi;
    19839 
    19840 # Check for library directory
    19841 
    19842 
    19843 # Check whether --with-glpk-lib or --without-glpk-lib was given.
    19844 if test "${with_glpk_lib+set}" = set; then
    19845   withval="$with_glpk_lib"
    19846   GLPKLIB=$withval
    19847 fi;
    19848 
    19849 # Switch to disable library check if requested
    19850 
    19851   # Check whether --enable-glpk-libcheck or --disable-glpk-libcheck was given.
    19852 if test "${enable_glpk_libcheck+set}" = set; then
    19853   enableval="$enable_glpk_libcheck"
    19854   glpk_libcheck=$enableval
    19855 else
    19856   glpk_libcheck=yes
    19857 fi;
    19858 
    19859 # At this point, if we're going to use the library, both LBRYINCDIR and
    19860 # LBRYLIB must be defined and not empty.
    19861 
    19862   if test x"$GLPKINCDIR" != x || test x"$GLPKLIB" != x; then
    19863     if test x"$GLPKINCDIR" = x || test x"$GLPKLIB" = x; then
    19864       { { echo "$as_me:$LINENO: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&5
    19865 echo "$as_me: error: You need to specify both an include directory and link flags to use library Glpk. Use --with-glpk-incdir of environment variable $GLPKINCDIR to specify the include directory. Use --with-glpk-lib or environment variable $GLPKLIB to specify link flags." >&2;}
    19866    { (exit 1); exit 1; }; }
    19867     fi
    19868     coin_has_glpk=true
    19869     echo "$as_me:$LINENO: result: yes" >&5
    19870 echo "${ECHO_T}yes" >&6
    19871   else
    19872     coin_has_glpk=false
    19873     echo "$as_me:$LINENO: result: no" >&5
    19874 echo "${ECHO_T}no" >&6
    19875   fi
    19876 
    19877 # If we have instructions for use, consider header and link checks.
    19878 
    19879   if test $coin_has_glpk = true; then
    19880 
    19881 # If argument 3 (file) is given, check for the file. Typically this will be a
    19882 # header file, but that's not assumed.
    19883 
    19884     if test -r $GLPKINCDIR/glpk.h; then
    19885 
    19886   :
    19887 else
    19888   { { echo "$as_me:$LINENO: error: Cannot find file glpk.h in $GLPKINCDIR" >&5
    19889 echo "$as_me: error: Cannot find file glpk.h in $GLPKINCDIR" >&2;}
    19890    { (exit 1); exit 1; }; }
    19891   :
    19892 fi
    19893 
    19894 
    19895 # Now see if we can link the function. There are arguments for and against
    19896 # assuming argument 3 is a header file declaring the function. A correct
    19897 # function declaration is the main argument in favour. Having to cope with
    19898 # possible dependencies or other oddities are the main arguments against.
    19899 # Force the use of C as the best single choice amongst C++, C, and Fortran.
    19900 # Obviously, this has limits.
    19901 
    19902     if test x"$glpk_libcheck" != xno; then
    19903            coin_save_LIBS="$LIBS"
    19904            LIBS="$GLPKLIB $ADDLIBS"
    19905            coin_GLPK_link=no
    19906            ac_ext=c
    19907 ac_cpp='$CPP $CPPFLAGS'
    19908 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    19909 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    19910 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    19911 
    19912            for fnm in _glp_lpx_simplex glp_lpx_simplex ; do
    19913              echo "$as_me:$LINENO: checking whether symbol $fnm is available with GLPK" >&5
    19914 echo $ECHO_N "checking whether symbol $fnm is available with GLPK... $ECHO_C" >&6
    19915              cat >conftest.$ac_ext <<_ACEOF
    19916 /* confdefs.h.  */
    19917 _ACEOF
    19918 cat confdefs.h >>conftest.$ac_ext
    19919 cat >>conftest.$ac_ext <<_ACEOF
    19920 /* end confdefs.h.  */
    19921 
    19922 int
    19923 main ()
    19924 {
    19925 $fnm()
    19926   ;
    19927   return 0;
    19928 }
    19929 _ACEOF
    19930 rm -f conftest.$ac_objext conftest$ac_exeext
    19931 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    19932   (eval $ac_link) 2>conftest.er1
    19933   ac_status=$?
    19934   grep -v '^ *+' conftest.er1 >conftest.err
    19935   rm -f conftest.er1
    19936   cat conftest.err >&5
    19937   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19938   (exit $ac_status); } &&
    19939          { ac_try='test -z "$ac_c_werror_flag"
    19940                          || test ! -s conftest.err'
    19941   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    19942   (eval $ac_try) 2>&5
    19943   ac_status=$?
    19944   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19945   (exit $ac_status); }; } &&
    19946          { ac_try='test -s conftest$ac_exeext'
    19947   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    19948   (eval $ac_try) 2>&5
    19949   ac_status=$?
    19950   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    19951   (exit $ac_status); }; }; then
    19952   echo "$as_me:$LINENO: result: yes" >&5
    19953 echo "${ECHO_T}yes" >&6
    19954                   coin_GLPK_link=yes
    19955                   break
    19956 else
    19957   echo "$as_me: failed program was:" >&5
    19958 sed 's/^/| /' conftest.$ac_ext >&5
    19959 
    19960 echo "$as_me:$LINENO: result: no" >&5
    19961 echo "${ECHO_T}no" >&6
    19962 fi
    19963 rm -f conftest.err conftest.$ac_objext \
    19964       conftest$ac_exeext conftest.$ac_ext
    19965            done
    19966            ac_ext=c
    19967 ac_cpp='$CPP $CPPFLAGS'
    19968 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    19969 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    19970 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    19971 
    19972            if test x"$coin_GLPK_link" = xyes ; then
    19973              LIBS="$coin_save_LIBS"
    19974            else
    19975              { { echo "$as_me:$LINENO: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&5
    19976 echo "$as_me: error: Cannot find symbol(s) _glp_lpx_simplex glp_lpx_simplex with GLPK" >&2;}
    19977    { (exit 1); exit 1; }; }
    19978            fi
    19979          fi
    19980 
    19981 
    19982 # If we make it this far, we've verified the file and linked the function. Add
    19983 # the necessary link flags to ADDLIBS and define the preprocessor symbol
    19984 # COIN_HAS_LBRY.
    19985 
    19986     ADDLIBS="$GLPKLIB $ADDLIBS"
    19987 
    19988 cat >>confdefs.h <<\_ACEOF
    19989 #define COIN_HAS_GLPK 1
    19990 _ACEOF
    19991 
    19992   fi
    19993 
    19994 # Arrange for configure to substitute LBRYINCDIR and LBRYLIB and create the
    19995 # automake conditional. These actions must occur unconditionally.
    19996 
    19997 
    19998 
    19999 
    20000 
    20001 if test $coin_has_glpk = true; then
    20002   COIN_HAS_GLPK_TRUE=
    20003   COIN_HAS_GLPK_FALSE='#'
    20004 else
    20005   COIN_HAS_GLPK_TRUE='#'
    20006   COIN_HAS_GLPK_FALSE=
    20007 fi
    20008 
    20009 
    20010  if test x"$coin_has_glpk" = xfalse && test x"$GLPKLIB" = x ; then
    20011    use_thirdpartyglpk=try
    20012  fi
    20013 
    20014 
    20015 # If the user has supplied an external library, use it. Otherwise, consider
    20016 # a build in ThirdParty/Glpk. If we build, assume we get both glpk and gmpl.
    20017 
    20018 if test x"$use_thirdpartyglpk" = xtry ; then
    20019   MAKEOKFILE=.MakeOk
    20020   # Check if the Glpk's ThirdParty project has been configured
    20021   if test "$PACKAGE_NAME" != ThirdPartyGlpk; then
    20022     if test -r $coin_glpkobjdir/.MakeOk; then
    20023       use_thirdpartyglpk=build
    20024     else
    20025       use_thirdpartyglpk=no
    20026     fi
    20027   else
    20028     use_thirdpartyglpk=build
    20029   fi
    20030 
    20031 # If we're building, set the library and include directory variables, create a
    20032 # preprocessor symbol, define a variable that says we're using glpk/gmpl, and
    20033 # another to indicate a link check is a bad idea (hard to do before the library
    20034 # exists).
    20035 
    20036   if test x"$use_thirdpartyglpk" = xbuild ; then
    20037     GLPKINCDIR="$coin_glpksrcdir/glpk/include"
    20038 
    20039 
    20040 cat >>confdefs.h <<\_ACEOF
    20041 #define COIN_HAS_GLPK 1
    20042 _ACEOF
    20043 
    20044     coin_has_glpk=true
    20045     glpk_libcheck=no
    20046     GLPKOBJDIR=`cd $coin_glpkobjdir; pwd`
    20047 
    20048     { echo "$as_me:$LINENO: Using Glpk in ThirdParty/Glpk" >&5
    20049 echo "$as_me: Using Glpk in ThirdParty/Glpk" >&6;}
    20050   fi
    20051 fi
    20052 
    20053 # Define the necessary automake conditionals.
    20054 
    20055 
    20056 
    20057 if test x"$coin_has_glpk" = xtrue; then
    20058   COIN_HAS_GLPK_TRUE=
    20059   COIN_HAS_GLPK_FALSE='#'
    20060 else
    20061   COIN_HAS_GLPK_TRUE='#'
    20062   COIN_HAS_GLPK_FALSE=
    20063 fi
    20064 
    20065 
    20066 
    20067 if test x"$use_thirdpartyglpk" = xbuild; then
    20068   COIN_BUILD_GLPK_TRUE=
    20069   COIN_BUILD_GLPK_FALSE='#'
    20070 else
    20071   COIN_BUILD_GLPK_TRUE='#'
    20072   COIN_BUILD_GLPK_FALSE=
    20073 fi
    20074 
    20075 
    20076 
    20077 
    20078 rm -f $MAKEOKFILE
    20079 if test x"$use_thirdpartyglpk" = xbuild ; then
    20080   touch $MAKEOKFILE
     19889#AC_COIN_HAS_GLPK(Glpk)
     19890
     19891#rm -f $MAKEOKFILE
     19892#if test x"$use_thirdpartyglpk" = xbuild ; then
     19893#  touch $MAKEOKFILE
    2008119894  echo "$as_me:$LINENO: checking GLPK version" >&5
    2008219895echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
    20083   majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    20084   minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
     19896  majorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     19897  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    2008519898  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008619899echo "${ECHO_T}${majorver}.${minorver}" >&6
    20087   if test $majorver != 4 || test $minorver != 38 ; then
     19900  if test x$majorver != x4 || test x$minorver != x38 ; then
    2008819901    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&5
    2008919902echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.38. Please update by rerunning get.GLPK\"" >&2;}
    2009019903   { (exit 1); exit 1; }; }
    2009119904  fi
    20092 else
    20093   if test x$coin_has_glpk = xtrue ; then
    20094     { echo "$as_me:$LINENO: The Glpk sources don't need to be compiled" >&5
    20095 echo "$as_me: The Glpk sources don't need to be compiled" >&6;}
    20096   else
    20097     { echo "$as_me:$LINENO: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&5
    20098 echo "$as_me: WARNING: Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?" >&2;}
    20099   fi
    20100   MAKEOKFILE=
    20101 fi
    20102 
     19905#else
     19906#  if test x$coin_has_glpk = xtrue ; then
     19907#    AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
     19908#  else
     19909#    AC_MSG_WARN([Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?])
     19910#  fi
     19911#  MAKEOKFILE=
     19912#fi
     19913#AC_SUBST(MAKEOKFILE)
    2010319914
    2010419915###########################################################################
     
    2097820789
    2097920790if test "$enable_dl" = "no"; then
    20980 #if test x"" = x; then
     20791  #if test x"" = x; then
    2098120792#  hdr="#include <ltdl.h>"
    2098220793#else
     
    2138821199  enableval="$enable_odbc"
    2138921200  case $enableval in
    21390            yes | unix)
     21201     yes | unix)
    2139121202       #if test x"" = x; then
    2139221203#  hdr="#include <sql.h>"
     
    2155521366       enable_odbc="no"
    2155621367     ;;
    21557            *)
    21558              { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-odbc" >&5
     21368     *)
     21369       { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-odbc" >&5
    2155921370echo "$as_me: error: invalid value '$enableval' for --enable-odbc" >&2;}
    2156021371   { (exit 1); exit 1; }; }
    21561            ;;
     21372     ;;
    2156221373   esac
    2156321374else
     
    2172821539  enableval="$enable_mysql"
    2172921540  case $enableval in
    21730            yes)
     21541     yes)
    2173121542       #if test x"" = x; then
    2173221543#  hdr="#include <mysql.h mysql/mysql.h>"
     
    2189621707       enable_mysql="no"
    2189721708     ;;
    21898            *)
    21899              { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-mysql" >&5
     21709     *)
     21710       { { echo "$as_me:$LINENO: error: invalid value '$enableval' for --enable-mysql" >&5
    2190021711echo "$as_me: error: invalid value '$enableval' for --enable-mysql" >&2;}
    2190121712   { (exit 1); exit 1; }; }
    21902            ;;
     21713     ;;
    2190321714   esac
    2190421715else
     
    2236622177Usually this means the macro was only invoked conditionally." >&5
    2236722178echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
    22368 Usually this means the macro was only invoked conditionally." >&2;}
    22369    { (exit 1); exit 1; }; }
    22370 fi
    22371 if test -z "${COIN_HAS_GLPK_TRUE}" && test -z "${COIN_HAS_GLPK_FALSE}"; then
    22372   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK\" was never defined.
    22373 Usually this means the macro was only invoked conditionally." >&5
    22374 echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
    22375 Usually this means the macro was only invoked conditionally." >&2;}
    22376    { (exit 1); exit 1; }; }
    22377 fi
    22378 if test -z "${COIN_BUILD_GLPK_TRUE}" && test -z "${COIN_BUILD_GLPK_FALSE}"; then
    22379   { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_GLPK\" was never defined.
    22380 Usually this means the macro was only invoked conditionally." >&5
    22381 echo "$as_me: error: conditional \"COIN_BUILD_GLPK\" was never defined.
    2238222179Usually this means the macro was only invoked conditionally." >&2;}
    2238322180   { (exit 1); exit 1; }; }
     
    2301722814s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2301822815s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    23019 s,@GLPKINCDIR@,$GLPKINCDIR,;t t
    23020 s,@GLPKLIB@,$GLPKLIB,;t t
     22816s,@GLPKSRCDIR@,$GLPKSRCDIR,;t t
     22817s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
     22818s,@GLPKDOCDIR@,$GLPKDOCDIR,;t t
    2302122819s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    2302222820s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
    23023 s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
    23024 s,@COIN_BUILD_GLPK_TRUE@,$COIN_BUILD_GLPK_TRUE,;t t
    23025 s,@COIN_BUILD_GLPK_FALSE@,$COIN_BUILD_GLPK_FALSE,;t t
    23026 s,@MAKEOKFILE@,$MAKEOKFILE,;t t
    2302722821s,@COIN_HAS_ZLIB_TRUE@,$COIN_HAS_ZLIB_TRUE,;t t
    2302822822s,@COIN_HAS_ZLIB_FALSE@,$COIN_HAS_ZLIB_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.